Uploaded image for project: 'OpenShift Bugs'
  1. OpenShift Bugs
  2. OCPBUGS-5083

precondition: Do not claim warnings would have blocked

XMLWordPrintable

    • Moderate
    • False
    • Hide

      None

      Show
      None

      This is a clone of issue OCPBUGS-4986. The following is the description of the original issue:

      We should avoid errors like:

      $ oc get -o json clusterversion version | jq -r '.status.history[0].acceptedRisks'
      Forced through blocking failures: Precondition "ClusterVersionRecommendedUpdate" failed because of "UnknownUpdate": RetrievedUpdates=True (), so the update from 4.13.0-0.okd-2022-12-11-064650 to 4.13.0-0.okd-2022-12-13-052859 is probably neither recommended nor supported.
      

      Instead, tweak the logic from OCPBUGS-2727, and only append the Forced through blocking failures: prefix when the forcing was required.

            lmohanty@redhat.com Lalatendu Mohanty
            openshift-crt-jira-prow OpenShift Prow Bot
            Yang Yang Yang Yang
            Red Hat Employee
            Votes:
            0 Vote for this issue
            Watchers:
            7 Start watching this issue

              Created:
              Updated:
              Resolved: